
uniform mat4 u_view_matrix;
uniform vec4 u_clip_position;

in vec2 attrib_position;

void main() {
    gl_Position = u_view_matrix * vec4(u_clip_position.xy + attrib_position * u_clip_position.zw, 0.0, 1.0);
}
